Package org.apache.sling.feature.io.json

# Class ConfigurationJSONWriter

java.lang.Object
org.apache.sling.feature.io.json.ConfigurationJSONWriter

public class ConfigurationJSONWriter extends Object
JSON writer for configurations

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationJSONWriter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`write(Writer writer, Configurations configs)`
Writes the configurations to the writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurationJSONWriter

public ConfigurationJSONWriter()

## Method Details

### write

public static void write(Writer writer, Configurations configs) throws IOException
Writes the configurations to the writer. The writer is not closed.

Parameters:
  `writer` - Writer
  `configs` - List of configurations
Throws:
  `IOException` - If writing fails